import { SvelteComponent } from "svelte";
import "./fileTree.css";
import type { FileDescriptor, LastItem, SelectedFiles, FileGrouping } from "./types";
declare const __propDef: {
    props: {
        fileDesc: FileDescriptor;
        selectedFiles?: SelectedFiles;
        fileGrouping?: FileGrouping | undefined;
        notSelectable?: boolean;
        noMenuBar?: boolean;
        lastItem?: LastItem;
        noFolderClick?: boolean;
        noIndentation?: boolean;
        noActionsTransition?: boolean;
        metadataAsTags?: boolean;
        isLoading?: boolean;
    };
    events: {
        click: CustomEvent<any>;
        selected: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        'item-actions': {
            slot: string;
            data: FileDescriptor;
        };
        'selection-actions': {
            data: SelectedFiles;
        };
        'item-loading': {
            slot: string;
            data: FileDescriptor;
        };
        'item-no-content': {
            slot: string;
            data: FileDescriptor;
        };
        'empty-list': {
            data: FileDescriptor;
        };
        loading: {
            data: FileDescriptor;
        };
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type FileTreeProps = typeof __propDef.props;
export type FileTreeEvents = typeof __propDef.events;
export type FileTreeSlots = typeof __propDef.slots;
export default class FileTree extends SvelteComponent<FileTreeProps, FileTreeEvents, FileTreeSlots> {
}
export {};
